attribute vec4 a_position;
attribute highp vec2 a_texCoord;
attribute vec4 a_color;
attribute vec3 a_glow;

varying lowp vec4 v_tint;
varying lowp vec3 v_glow;
varying highp vec2 v_texCoord;
varying mediump vec2 v_texWater1;
varying mediump vec2 v_texWater2;

uniform vec4 CC_Offset;

void main()
{
    gl_Position = CC_MVPMatrix * a_position;
    v_tint = a_color;
    v_glow = a_glow;
    v_texCoord = a_texCoord;
	vec2 texWater = a_position.xy / 256.0;
	v_texWater1 = vec2(texWater.x + CC_Offset.x, texWater.y + CC_Offset.y);
    v_texWater2 = vec2(texWater.x * 0.45 + CC_Offset.z, texWater.y + CC_Offset.w);
}