
attribute vec4 a_position;
attribute vec2 a_texCoord;
attribute float a_texUnit;

#ifdef GL_ES
varying mediump vec2 v_texCoord;
varying lowp float v_texUnit;
#else
varying vec2 v_texCoord;
varying float v_texUnit;
#endif

void main()
{
    gl_Position = CC_MVPMatrix * a_position;
    v_texCoord = a_texCoord;
    v_texUnit = a_texUnit;
}