
attribute vec4 a_position;
attribute vec2 a_texCoord;
attribute vec3 a_movement;
attribute float a_texUnit;

#ifdef GL_ES
varying lowp vec3 v_fragmentMovement;
varying mediump vec2 v_texCoord;
#else
varying vec3 v_fragmentMovement;
varying vec2 v_texCoord;
#endif

void main()
{
    gl_Position = CC_MVPMatrix * a_position;
    v_fragmentMovement = a_movement;
    v_texCoord = a_texCoord;
}