attribute vec4 a_position;
attribute highp vec2 a_texCoord;
attribute vec3 a_movement;
attribute float a_texUnit;

varying highp vec2 v_texMask;
varying mediump vec2 v_texWater;

uniform vec4 CC_Offset;

void main()
{
    gl_Position = CC_MVPMatrix * a_position;
    v_texMask = a_texCoord;
    vec2 texWater = a_position.xy / 256.0;
	v_texWater = vec2(texWater.x + CC_Offset.x, texWater.y + CC_Offset.y);
}