varying highp vec2 v_texMask;
varying mediump vec2 v_texWater;

uniform sampler2D CC_Texture00;
uniform sampler2D CC_Texture01;

uniform vec3 CC_Tint;

void main()
{
	vec4 mask = texture2D(CC_Texture01, v_texMask);
	vec2 waterTexCoord = vec2(v_texWater.x, v_texWater.y);
	vec4 water = texture2D(CC_Texture00, waterTexCoord);
	vec3 tinted = CC_Tint * water.rgb;
	gl_FragColor = vec4(tinted, water.a * mask.a);
}